Freeciv-3.2: overview Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
overview Struct Reference

`#include <options.h>`

## Data Fields

double | map_x0
double | map_y0
int | width
int | height
struct canvas * | map
struct canvas * | window
bool | fog
bool | layers [OLAYER_COUNT]

## Detailed Description

Definition at line 91 of file options.h.

## Field Documentation

## ◆ fog

bool overview::fog

Definition at line 102 of file options.h.

Referenced by put_overview_tile_area().

## ◆ height

int overview::height

Definition at line 94 of file options.h.

Referenced by calculate_overview_dimensions(), minimap_view::mousePressEvent(), overview_size_changed(), redraw_overview(), refresh_overview_from_canvas(), resize_minimap(), minimap_view::resizeEvent(), minimap_thread::run(), minimap_view::scale_point(), and unscale_point().

## ◆ layers

bool overview::layers[OLAYER_COUNT]

Definition at line 103 of file options.h.

Referenced by overview_tile_color().

## ◆ map

struct canvas* overview::map

Definition at line 97 of file options.h.

Referenced by calculate_overview_dimensions(), minimap_view::draw_viewport(), overview_free(), overview_update_tile(), redraw_overview(), and minimap_thread::run().

## ◆ map_x0

double overview::map_x0

Definition at line 93 of file options.h.

Referenced by center_tile_overviewcanvas(), gui_to_overview(), gui_to_overview_pos(), map_to_overview_pos(), overview_to_map_pos(), minimap_view::paint(), redraw_overview(), and minimap_thread::run().

## ◆ map_y0

double overview::map_y0

Definition at line 93 of file options.h.

Referenced by center_tile_overviewcanvas(), gui_to_overview(), gui_to_overview_pos(), map_to_overview_pos(), overview_to_map_pos(), minimap_view::paint(), redraw_overview(), and minimap_thread::run().

## ◆ width

int overview::width

Definition at line 94 of file options.h.

Referenced by calculate_overview_dimensions(), minimap_view::mousePressEvent(), overview_size_changed(), overview_update_tile(), redraw_overview(), refresh_overview_from_canvas(), resize_minimap(), minimap_view::resizeEvent(), minimap_thread::run(), minimap_view::scale_point(), unscale_point(), and minimap_view::zoom_in().

## ◆ window

struct canvas* overview::window

Definition at line 100 of file options.h.

Referenced by calculate_overview_dimensions(), overview_canvas_draw(), overview_canvas_draw(), overview_free(), redraw_overview(), refresh_overview_from_canvas(), and minimap_thread::run().